import sys

def convert_to_float(value):
    """
    converts a string into a float. Raises a ValueError on failure.
    convert_to_float accepts both . and , as a decimal separator
    
    Parameters:
    -----------
    value: string
      a string representing a number
    
    Return:
    -------
    float
      value converted to a floating point number
    """
    return float(value.replace(",", "."))

def compute(operator, operand1, operand2):
    """
    computes and displays 'operand1' 'operator' 'operand2'
    Parameters:
    -----------
    operator: string
      must be one of: + - */ %
    operand1: string
      a string representing a valid number as stated by convert_to_float
    operand2: string
      a string representing a valid number as stated by convert_to_float
    
    Return:
    -------
    None
    """
    o1 = convert_to_float(operand1)
    o2 = convert_to_float(operand2)
    if operator == "*":
        print(o1 * o2)
    elif operator == "+":
        print(o1 + o2)
    elif operator == "-":
        print(o1 - o2)
    elif operator == "/":
        print(o1 / o2)
    elif operator == "%":
        print(o1 % o2)
    else:
        raise ValueError("{} is not an arithmetic operator".format(operator))



    
if __name__ == "__main__":
    # 3 parameters: operator and two operands, try compute
    if len(sys.argv) == 4:
        compute(sys.argv[1], sys.argv[2], sys.argv[3])
    # no parameter, ask for operand and operators then try compute 
    elif len(sys.argv) == 1:
        operator = input("Indiquer l'opérateur (+ - * / ou %) : ")
        operand1 = input("Indiquer la premiere operande (nombre) : ")
        operand2 = input("Indiquer la deuxieme operande (nombre) : ")
        compute(operator, operand1, operand2)
    # invalid number of operands
    else:
        print("Usage: python mul.py <operator> <operand1> <operand2>")
    
